Aller au contenu

Changer les valeurs Z de points


pierrevigneux
 Partager

Messages recommandés

Si c'est urgent, tu devrais peut être détailler ton pb, si tu veux qu'on puisse te répondre non ?

 

J'ai des points tranférés par ma station totale en coordonnées xyz et je viens de rendre compte qu'il y une erreur d'élévation sur ma station de départ.

 

EX: z= +50m. trop haut je veux corriger les élévations désuètes.

 

Merci !

 

[Edité le 26/2/2010 par pierrevigneux]

Acadnadien

Lien vers le commentaire
Partager sur d’autres sites

Bonjour,

 

Si j'ai bien compris il suffit simplement d'utiliser la commande déplacer.

 

Et pour le 2ème point de déplacement il faut indiquer @0,0,-50 (pour baisser les points de 50 en Z)

Lien vers le commentaire
Partager sur d’autres sites

Si j'ai bien compris il suffit simplement d'utiliser la commande déplacer.

 

Et pour le 2ème point de déplacement il faut indiquer @0,0,-50 (pour baisser les points de 50 en Z)

 

Non pas tout à fait, les valeurs x et y doivent rester à même place, seulement la valeur z doivent descendre de 50 mètres, pour ensuite faire mon maillage et tracer mes lignes de contours

 

[Edité le 26/2/2010 par pierrevigneux]

Acadnadien

Lien vers le commentaire
Partager sur d’autres sites

Salut,

 

Tu sélectionnes tous tes points et :

- soit tu utilises la méthode donnée par Eric (qui ne change pas les coordonnées X et Y des points) ;

- soit tu fait DEPLACER en mode Dépalcement (valider au lieu de donner un premier point) et tu spécifie un déplacement de 0,0,-50 ;

Gilles Chanteau - gileCAD -
Développements sur mesure pour AutoCAD
ADSK_Expert_Elite_Icon_S_Color_Blk_125.png

Lien vers le commentaire
Partager sur d’autres sites

Petite précision,

 

@0,0,-50 ne signifie pas que les x et y sont mis à une altitude de 0 et le Z à -50

 

Mais cela signifie qu'il y a un deplacement de 0 en x et y et de -50 en Z par rapport à la position actuelle.

 

[Edité le 26/2/2010 par Eric]

Lien vers le commentaire
Partager sur d’autres sites

coucou

 

un souci qui ne va pas tarder à apparaître :

 

c'est que les valeurs des attributs des points ne changeront pas,

et avec LT je ne vois pas comment l'aider

à part d'extraire les points vers un tableur

changer leurs valeurs

et le ré-injecter...

 

amicalement

 

[Edité le 26/2/2010 par didier]

Lien vers le commentaire
Partager sur d’autres sites

Ecrire un petit programme qui lit les données ligne par ligne et reécrit cette ligne dans un second fichier en ayant modifié l'altitude. Sinon la proposition de Didier est parfaitement valable.

 

C'est exactement ce à quoi je pensais, sauf que moi je suis nul en lisp et voilà la raison de ma demande.

 

@+

Acadnadien

Lien vers le commentaire
Partager sur d’autres sites

Salut,

 

Ça serait certainement très facile à faire pour certains ici.

Mais pas sans savoir comment est fait ton fichier (txt, csv, xls) et quel est le format de chaque ligne (ordre et type de données, séparateur).

 

D'ailleurs, suivant comment est fait ce fichier, il est certainement possible de l'ouvrir dans Excel pour modifier certaines colonnes...

Gilles Chanteau - gileCAD -
Développements sur mesure pour AutoCAD
ADSK_Expert_Elite_Icon_S_Color_Blk_125.png

Lien vers le commentaire
Partager sur d’autres sites

Ecrire un petit programme qui [surligneur]lit les données ligne par ligne et reécrit cette ligne dans un second fichier en ayant modifié l'altitude[/surligneur]. Sinon la proposition de Didier est parfaitement valable.

 

[surligneur]C'est exactement ce à quoi je pensais,[/surligneur] sauf que moi je suis nul en lisp et voilà la raison de ma demande.

 

@+

 

Bonjour !

 

[surligneur]Je veux simplement changer les entitée directement dans AutoCAD.[/surligneur]

 

@+

 

Excuse moi mais c'est pas très clair...

 

En quoi la méthode DEPLACER (_MOVE) donnée par Eric n'est elle pas satisfaisante ?

Si tu fais comme je disais en sélectionnant tous les textes et points, tous seront déplacé comme voulu...

S'il faut changer la valeur des textes, on peut envisager une petite routine, mais encore une fois personne (et à fortiori aucun programme) ne peut deviner comment sont formatés ces textes (texte simple ou texte multiligne ? uniquement une valeur ou aussi un préfixe ou un suffixe ? combien de décimales ?)

 

En bref, donne un exemple.

Gilles Chanteau - gileCAD -
Développements sur mesure pour AutoCAD
ADSK_Expert_Elite_Icon_S_Color_Blk_125.png

Lien vers le commentaire
Partager sur d’autres sites

Salut à tous

 

Sinon

 

- tu sélectionnes tous les points que tu veux déplacer (ave _QSELECT par exemple)

 

- tu lances la commande _MOVE

 

- à la demande spécifier le premier point de base tu réponds en cliquant un point sur le dessin

 

- enfin à la demande spécifier le second point tu réponds : @0,0,-50

 

@ signifie que l'on va déplacer les points en coordonnées relatives par rapport au premier point que tu a piqué.

 

A+

 

 

 

 

 

[Edité le 26/2/2010 par belam]

Lien vers le commentaire
Partager sur d’autres sites

Salut belam!

Bien dis donc

tu sélectionnes tous les points que tu veux déplacer (ave _QSELECT par exemple)

 

- tu lances la commande _MOVE

Pour ce qui est des point insérés @-50 c'est très bien, mais faut que je change à présent tous les textes du Z.

 

Pas mal vraiement je connaissais pas cette passe, très bien j'en apprend à tous les jour, génial ce forum.

 

Ça fait depuis la version 2.5 d'autocad que je dessine et voilà que j'en apprend encore et ce n'est pas fini!

 

Mer i encore!

Acadnadien

Lien vers le commentaire
Partager sur d’autres sites

Bonjour,

 

Comment s'appelle le calque d'insertion de tes textes d'altitudes à changer ou le nom du calque de tes blocs points ?

 

Voici un petit lisp qui peut t'aider

 (defun c:repl-txt ( / pt rot jeu d long nom entit)
(setvar "INSUNITS" 0)
(setvar "CMDECHO" 0)
(setvar "OSMODE" 0)
(setvar "CECOLOR" "2")
(setq jeu (ssget "X" (list (cons 0 "INSERT") (cons 8 "POINT-TOPO"))))
(setq d 0)
(setq long (sslength jeu))
(while (< d long)
(setq nom (ssname jeu d))
(setq entit (entget nom))
(setq pt (cdr (assoc 10 entit)))
(setq rot (cdr (assoc 50 entit)))
(command "texte" "mc" pt 1 rot (rtos (caddr pt) 2 2))
(setq d (+ d 1))
)
(prompt (strcat "\n" (itoa (sslength jeu)) " textes traités\n"))

(setvar "ATTREQ" 0)
(setvar "OSMODE" 65)
(setvar "CMDECHO" 1)

(prin1)
)

 

Ya certainement plus simple encore mais bon ca marche avec des blocs points

Pour le faire fonctionner avec des textes, faut modifier la ligne

 

 (setq jeu (ssget "X" (list (cons 0 "INSERT") (cons 8 "POINT-TOPO"))))

 

par

 

 (setq jeu (ssget "X" (list (cons 0 "TEXT,MTEXT") (cons 8 "Nom du calque des textes à changer"))))

.

 

Attention, je n'ai pas testé mais ca devrait marcher normalement.

John

 

[Edité le 27/2/2010 par chris_mtp]

Lien vers le commentaire
Partager sur d’autres sites

Bonjour Chis_mtp

Comment s'appelle le calque d'insertion de tes textes d'altitudes à changer ou le nom du calque de tes blocs points ?

 

Le calque s'appelle tout simplement élévation.

 

J'ai essayé ton lisp et voilà ce que ça donne error: bad argument type: lselsetp nil ?

 

tu peux regarder dans ma réponse à gile no. 21 .

j'ai envoyé le lien pour mon dessin.

 

Merci et @+

 

 

 

 

[Edité le 27/2/2010 par pierrevigneux]

Acadnadien

Lien vers le commentaire
Partager sur d’autres sites

Rejoindre la conversation

Vous pouvez publier maintenant et vous inscrire plus tard. Si vous avez un compte, connectez-vous maintenant pour publier avec votre compte.

Invité
Répondre à ce sujet…

×   Collé en tant que texte enrichi.   Coller en tant que texte brut à la place

  Seulement 75 émoticônes maximum sont autorisées.

×   Votre lien a été automatiquement intégré.   Afficher plutôt comme un lien

×   Votre contenu précédent a été rétabli.   Vider l’éditeur

×   Vous ne pouvez pas directement coller des images. Envoyez-les depuis votre ordinateur ou insérez-les depuis une URL.

 Partager

×
×
  • Créer...

Information importante

Nous avons placé des cookies sur votre appareil pour aider à améliorer ce site. Vous pouvez choisir d’ajuster vos paramètres de cookie, sinon nous supposerons que vous êtes d’accord pour continuer. Politique de confidentialité